/** @jsxRuntime classic */
/** @jsx jsx */
/// <reference types="react" />
import { ReactEditor, RenderElementProps } from 'slate-react';
import { jsx } from '@keystone-ui/core';
import { ComponentPropField, ComponentBlock } from '../../component-blocks';
import { Relationships } from '../relationship';
export { withComponentBlocks } from './with-component-blocks';
export declare const ComponentBlockContext: import("react").Context<Record<string, ComponentBlock<Record<string, ComponentPropField>>>>;
export declare function getPlaceholderTextForPropPath(propPath: (number | string)[], fields: Record<string, ComponentPropField>, formProps: Record<string, any>): string;
export declare function ComponentInlineProp(props: RenderElementProps): jsx.JSX.Element;
export declare function insertComponentBlock(editor: ReactEditor, componentBlocks: Record<string, ComponentBlock>, componentBlock: string, relationships: Relationships): void;
export declare const BlockComponentsButtons: ({ onClose }: {
    onClose: () => void;
}) => jsx.JSX.Element;
export declare const ComponentBlocksElement: ({ attributes, children, element: __elementToGetPath, }: RenderElementProps & {
    element: {
        type: 'component-block';
    };
}) => jsx.JSX.Element;
