import { BaseGeneratedListTypes, GqlNames, KeystoneGraphQLAPI } from '@k6js/ks-next/types';
import { Descendant } from 'slate';
import { GraphQLSchema } from 'graphql';
import { ComponentBlock } from './DocumentEditor/component-blocks/api';
import { Relationships } from './DocumentEditor/relationship';
export declare function addRelationshipData(nodes: Descendant[], graphQLAPI: KeystoneGraphQLAPI<Record<string, BaseGeneratedListTypes>>, relationships: Relationships, componentBlocks: Record<string, ComponentBlock>, gqlNames: (listKey: string) => GqlNames): Promise<Descendant[]>;
export declare const getLabelFieldsForLists: import("@emotion/weak-memoize").UnaryFn<GraphQLSchema, Record<string, string>>;
